GROHTML(1)

NAME
grohtml - html driver for groff

SYNOPSIS
grohtml [-vhlrn] [-D dir] [-F dir] [-i resolution] [-I image-stem] [-o image-vertical-offset] [-a aa-text-bits] [-a aa-graphic-bits] [ files... ]

DESCRIPTION
The grohtml front end (which consists of a preprocessor, pre-grohtml, and a device driver, post-grohtml) translates the output of GNU troff to html. Users should always invoke grohtml via the groff command with a -Thtml option. If no files are given, grohtml will read the standard input. A filename of - will also cause grohtml to read the standard input. Html output is written to the standard output. When grohtml is run by groff options can be passed to grohtml using groff's -P option.

OPTIONS

-aaa-text-bits
    Number of bits of antialiasing information to be used by text when generating png images. The default is 4 but legal values are 0, 1, 2, and 4. Note your version of gs needs to support the -dTextAlphaBits and -dGraphicAlphaBits options in order to exploit antialiasing. A value of 0 stops grohtml from issuing antialiasing commands to gs.

-gaa-graphic-bits
    Number of bits of antialiasing information to be used by graphics when generating png images. The default is 4 but legal values are 0, 1, 2, and 4. Note your version of gs needs to support the -dTextAlphaBits and -dGraphicAlphaBits options in order to exploit antialiasing. A value of 0 stops grohtml from issuing antialiasing commands to gs.

-b  Initialize the background color to white.

-h  Generates section and number headings by using <B>...</B> and increasing the font size, rather than using the <Hn> ...</Hn> tags.

-l  Turns off the production of automatic section links at the top of the document.

-r  Turns off the automatic header and footer line (html rule).

-n  Generate simple heading anchors whenever a section/number heading is found. Without the option the anchor value is the textual heading. This can cause problems when a heading contains a `?' on some browsers (netscape). This flag is automatically turned on if a heading contains an image.

-p  Display page rendering progress to stderr. grohtml only displays a page number when an image is required.

-Fdir
    Prepend directory dir/devname to the search path for font and device description files; name is the name of the device, usually html.

-iresolution
    Select the resolution for all images. By default this is 100 pixels per inch. Example: -i200 indicates 200 pixels per inch.

-Istem
    Determine the image stem name. If omitted grohtml uses grohtml-XXX (XXX is the process ID).

-overtical-offset
    Specify the vertical offset of images in points.

-Ddir
    Inform grohtml to place all image files into directory dir.

-v  Print the version number.

USAGE
There are styles called R, I, B, and BI mounted at font positions 1 to 4.

DEPENDENCIES
grohtml is dependent upon the png utilities (pnmcut, pnmcrop, pnmtopng) and GhostScript (gs). pnmtopng (version 2.37.6 or greater) and pnmcut from the netpbm package (version 9.16 or greater) will work also. It is also dependent upon psselect from the PSUtils package. Images are generated whenever a table, picture, equation or line is encountered.

BUGS
Grohtml has been completely redesigned and rewritten. It is still alpha code.

SEE ALSO
afmtodit(1), groff(1), troff(1), psbb(1), groff_out(5), groff_font(5), groff_char(7)